VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping:

## Classes
class | Type

## Avaliable Methods
public method | set_provisioning ()
public method | set_type ()
public method | set_storage_profile_id ()
public method | set_datastore_id ()
public method | get_provisioning ()
public method | get_storage_profile_id ()
public method | get_datastore_id ()
public method | new ()
public method | get_type ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping` class defines the storage deployment target and storage provisioning type for a section of type vmw:StorageGroupSection in the OVF descriptor.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::get_datastore_id | ( |  | ) |

Gets the value of 'datastore_id' property.

Return values

  datastore_id | - The current value of the field. Target datastore to be used for the storage group. optional#

Code:
click to view
# Number of lines of code in get_datastore_id: 4
sub get_datastore_id {
my ($self, %args) = @_;
return $self->{'datastore_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::get_provisioning | ( |  | ) |

Gets the value of 'provisioning' property.

Return values

  provisioning | - The current value of the field. Target provisioning type to use for the storage group. Optional#

Code:
click to view
# Number of lines of code in get_provisioning: 4
sub get_provisioning {
my ($self, %args) = @_;
return $self->{'provisioning'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::get_storage_profile_id | ( |  | ) |

Gets the value of 'storage_profile_id' property.

Return values

  storage_profile_id | - The current value of the field. Target storage profile to be used for the storage group. optional#

Code:
click to view
# Number of lines of code in get_storage_profile_id: 4
sub get_storage_profile_id {
my ($self, %args) = @_;
return $self->{'storage_profile_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of storage deployment target to use for the vmw:StorageGroupSection section. The specified value must be :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::Type.DATASTORE` or :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::Type.STORAGE_PROFILE` Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'DATASTORE' => ['datastore_id'],
'STORAGE_PROFILE' => ['storage_profile_id'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{datastore_id} = $args{'datastore_id'};
$self->{storage_profile_id} = $args{'storage_profile_id'};
$self->{provisioning} = $args{'provisioning'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.storage_group_mapping');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'LibraryItem::StorageGroupMapping::Type'));
$self->set_binding_field('key' => 'datastore_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'storage_profile_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'provisioning', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'DiskProvisioningType')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::set_datastore_id | ( |  | ) |

Sets the given value for 'datastore_id' property.

Parameters

  datastore_id | - New value for the field. Target datastore to be used for the storage group.

Code:
click to view
# Number of lines of code in set_datastore_id: 5
sub set_datastore_id {
my ($self, %args) = @_;
$self->{'datastore_id'} = $args{'datastore_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::set_provisioning | ( |  | ) |

Sets the given value for 'provisioning' property.

Parameters

  provisioning | - New value for the field. Target provisioning type to use for the storage group.

Code:
click to view
# Number of lines of code in set_provisioning: 5
sub set_provisioning {
my ($self, %args) = @_;
$self->{'provisioning'} = $args{'provisioning'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::set_storage_profile_id | ( |  | ) |

Sets the given value for 'storage_profile_id' property.

Parameters

  storage_profile_id | - New value for the field. Target storage profile to be used for the storage group.

Code:
click to view
# Number of lines of code in set_storage_profile_id: 5
sub set_storage_profile_id {
my ($self, %args) = @_;
$self->{'storage_profile_id'} = $args{'storage_profile_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of storage deployment target to use for the vmw:StorageGroupSection section. The specified value must be :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::Type.DATASTORE` or :attr:`Com::Vmware::Vcenter::Ovf::LibraryItem::StorageGroupMapping::Type.STORAGE_PROFILE` Code: click to view # Number of lines of code in set_type: 5 sub set_type { my ($self, %args) = @_; $self->{'type'} = $args{'type'}; return; }

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm